# Project-wide Gradle settings.
# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.
# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html
# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
org.gradle.jvmargs=-Xmx2048m -Dfile.encoding=UTF-8
# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
# org.gradle.parallel=true
# AndroidX package structure to make it clearer which packages are bundled with the
# Android operating system, and which are packaged with your app"s APK
# https://developer.android.com/topic/libraries/support-library/androidx-rn
android.useAndroidX=true
# Automatically convert third-party libraries to use AndroidX
android.enableJetifier=true
# Kotlin code style for this project: "official" or "obsolete":
kotlin.code.style=official
KOIN_VERSION=2.0.1
ANDROID_BUILD_TOOLS_VERSION=30.0.2
ROOM_VERSION=2.1.0
COROUTINES_VERSION=1.2.1
ANDROID_TARGET_SDK_VERSION=30
OKHTTP3LOGINTERCEPTOR_VERSION=3.10.0
ANDROID_COMPILE_SDK_VERSION=30
VERSION_NAME=1.0.0
VERSION_CODE=1
KOTLIN_VERSION=1.3.50
RETROFIT_VERSION=2.6.0
ANDROID_MIN_SDK_VERSION=21
PAGING_VERSION=2.1.2
GLIDE_VERSION=4.11.0
COROUTINES_ADAPTER_VERSION="0.9.2"
ARHITECTURECOMPONENTS_VERSION=2.2.0-alpha03
MOCKITO_VERSION=2.1.0